#include <stdio.h>
#include <string.h>


typedef struct _bank{
	char acc[32];
	int bank;
	double sum;
}BANK, *PBANK;

int deposit();
int find(PBANK pb, int n, char *s);

int main(){
	BANK banka[2000];
	int counter=0;	

	while(1){
		scanf("%d", &counter);
		if(!counter){
			printf("goodbye");
			return 0;
		}
		int i=0;
		while(i<counter){
			// nacitanie
			scanf("%s", banka[i].acc);			
			banka[i].bank=banka[i].acc[5]-'0';
			scanf("%lf", &banka[i].sum);
			//printf("\n %s %d %.2lf\n", banka[i].acc, banka[i].bank, banka[i].sum);
			i++;
		}
		while(1){
			char buf[32], buf2[32];
			double sum;
			int index, index2;
			scanf("%s", buf);
			if(!strcmp(buf, "create")){
				scanf("%s", buf);
				if(find(banka, counter, buf)<0){
					strcpy(banka[counter].acc, buf);
					banka[counter].bank=banka[counter].acc[5]-'0';
					banka[counter++].sum=0.0;
					printf("create: ok\n");
				}else printf("create: already exists\n");
			}else if(!strcmp(buf, "deposit")){
				scanf("%s%lf", buf, &sum);
								
				if((index=find(banka, counter, buf))<0){
					printf("deposit %.2lf: no such account\n", sum);
				}else{
					banka[index].sum+=sum;
					printf("deposit %.2lf: ok\n", sum);
				}
			}else if(!strcmp(buf, "withdraw")){
				scanf("%s%lf", buf, &sum);
								
				if((index=find(banka, counter, buf))<0){
					printf("withdraw %.2lf: no such account\n", sum);
				}else{
					if(banka[index].sum<sum){
						printf("withdraw %.2lf: insufficient funds\n", sum);
					}else{ 
						banka[index].sum-=sum;
						printf("withdraw %.2lf: ok\n", sum);
					}
				}
			}else if(!strcmp(buf, "transfer")){
				scanf("%s%s%lf", buf, buf2, &sum);
								
				if(((index=find(banka, counter, buf))<0) || 
					((index2=find(banka, counter, buf2))<0)){
					printf("transfer %.2lf: no such account\n", sum);
				}else{ if(!strcmp(buf, buf2))
					printf("transfer %.2lf: same account\n", sum);
					else{ if(banka[index].sum<sum)
						printf("transfer %.2lf: insufficient funds\n", sum);
						else{
							banka[index].sum-=sum;
							banka[index2].sum+=sum;
							if(banka[index].bank==banka[index2].bank)
								printf("transfer %.2lf: ok\n", sum);
							else printf("transfer %.2lf: interbank\n", sum);
						}	
					}
				}
			}else if(!strcmp(buf, "end")){
				printf("end\n\n");
				/*for(int i=0;i<counter;i++)
					printf("\n** %s %d %.2lf **\n", banka[i].acc, banka[i].bank, banka[i].sum);*/
				break;
			}
		}
	}

	return 0;
}

int find(PBANK pb, int n, char *s){
	int i=0;	
	for(i=0; i<n; i++){
		if(!strcmp(pb[i].acc, s))
			return i;
	}
	return (-1);
}



