#include <stdio.h>
#include <stdlib.h>

typedef struct _node{
	int val;
	int fL;
	_node *l, *r, *pr;
}NODE, *PNODE;

typedef unsigned long ULI;
int add(PNODE root, PNODE val);
int free(PNODE root);
ULI comb(int n, int k);
int children(PNODE pn);

int main(){
//	printf("%d\n%d", (int)sizeof(int), (int)sizeof(long));
	int flag=0;
	int counter=0;
	PNODE arr[100];
	int i=0;
	NODE root;
	while(1){
		ULI res=1;
		scanf("%d", &counter);
		if(!counter){
			flag=1;
			break;
		}
		int temp;
		scanf("%d",&temp);
		root.val=temp;
		arr[0]=&root;
		for(i=1;i<counter;i++){
			scanf("%d", &temp);
			PNODE pn=(PNODE)malloc(sizeof(NODE));
			pn->val=temp;
			add(&root, (PNODE)pn);
			arr[i]=pn;
		}
		// mam strom
		for(i=1;i<counter;i++){
			if(arr[i]->fL)	
				res*=comb(children(arr[i]->pr)-1, children(arr[i]));
		}
		if(flag){
			printf("\n");
		}
		printf("%ld", res);
		flag=1;
		free(&root);
	}
	
	return 0;
}

int add(PNODE root, PNODE val){
	if(root->val<=val->val){
		if(root->r!=NULL)
			add(root->r, val);
		else{ 
			root->r=val;
			val->pr=root;
			val->fL=0;
		}
	}else{
		if(root->l!=NULL)
			add(root->l, val);
		else{ 
			root->l=val;
			val->pr=root;
			val->fL=1;
		}
	}
	return 0;
}

int free(PNODE root){
	if(root->l!=NULL)
		free(root->l);
	if(root->r!=NULL)
		free(root->r);
	else free(root);
	return 0;
}

ULI comb(int n, int k){
//	ULI asd;
	if(n>k){
		return comb(n-1, k)*((n-k+1)/(n+1));
	}
	if(n==k){
		return 1;
	}
	return (-1);
}

int children(PNODE pn){
	if(pn->l==NULL && pn->r==NULL)
		return 1;
	else return 1+children(pn->l)+children(pn->r);
}


